<!DOCTYPE html>
<html lang="en">

<head>
  <title>Bootstrap 5 Website Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    .fakeimg {
      height: 200px;
      background: #aaa;
    }
    .line {
        white-space: nowrap;
        padding: 0px;
        overflow: hidden;
        text-overflow: ellipsis;
        font-family: 'Courier New', monospace; /* Monospace font style */
    }
    .container {
      max-width: 970px;
      height: 500px;
      overflow: scroll;
      flex-direction: column-reverse;
    }
  </style>
</head>

<body>

  <div class="p-5 bg-black text-white text-center">
    <h1>Collecte d'informations sur les machines d'infrastructure</h1>
  </div>
  <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
    <div class="container-fluid">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="index.html">Acceuil</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="processus.html">Processus</a>
        </li>
        <li class="nav-item dropdown active">
          <a class="nav-link dropdown-toggle active" href="#" role="button" data-bs-toggle="dropdown">Logs</a>
          <ul class="dropdown-menu">
            <li><a class="dropdown-item active" href="Logs-application.html">Logs Application</a></li>
            <li><a class="dropdown-item" href="systemd.html">Journal systemd</a></li>
            <li><a class="dropdown-item " href="var-log.html">Fichier var/log</a></li>
          </ul>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Information système</a>
          <ul class="dropdown-menu">
            <li><a class="dropdown-item" href="cpu.html">Utilisation CPU</a></li>
            <li><a class="dropdown-item" href="gpu.html">Utilisation GPU</a></li>
            <li><a class="dropdown-item" href="memoire.html">Utilisation mémoire</a></li>
            <li><a class="dropdown-item" href="stockage.html">Stockage</a></li>
          </ul>
        </li>
      </ul>
    </div>
  </nav>
  <br>
  <br>
  <h1 class="text-center">Page logs</h1>
  <br>
  <br>
  <br>
  {%for host,_ in logs.items()%}
    <h2 class="text-center">{{ host }}</h2>
    <br>
    <h3 class="text-center">Logs Application</h3>
    <br>
      {% for key,values in logs[host]["files"].items() %}
        <h4 class="text-center">{{ key }}</h4>
        <br>
        <div class="container">
          {% for line in values %}
            <div class="line">{{ line }}</div>
          {% endfor %}
        </div>
      {% endfor %}
    <br>
      {% for key,values in logs[host]["systemd"].items() %}
      <h4 class="text-center">{{ key }}</h4>
      <br>
      <div class="container">
        {% for line in values %}
        <div class="line">{{ line }}</div>
        {% endfor %}
      </div>
      {% endfor %}
  {% endfor %}
</body>

</html>